#1111 closed defect (fixed)

updata packages list for installation

Reported by: pbaumann Owned by: dmisev
Priority: critical Milestone: 9.2
Component: wiki Version: development
Keywords: Cc: gmerticariu, mdumitru
Complexity: Easy

Description

Change History (10)

comment:1 Changed 22 months ago by dmisev

I've checked and it looks up to date, is there some package that you noticed missing?

comment:2 Changed 22 months ago by pbaumann

what is missing is a simple, clear way to get all dependencies. Several of them are just listed by name, no link nor the version needed. This deviates from the old practice where each component (which is not delivered with Linux) is linked.

For example, trying myself I get:

configure: error: grpc not found. Plase install grpc or specify the path to the protobuf package in PKG_CONFIG_PATH variable if it was not installed on the default path.

Ideally, commands are indicated to obtain the package status required.

comment:3 follow-up: Changed 22 months ago by dmisev

What's the configure command, does it include --enable-rasnet?

The required packages and installation guides should be separate pages for each version of rasdaman as they may differ from one version to another; this needs some wiki restructuring.

comment:4 in reply to: ↑ 3 Changed 22 months ago by pbaumann

Replying to dmisev:

What's the configure command, does it include --enable-rasnet?

it is:
./configure --prefix=/usr/local/rasdaman-community/ --enable-rasnet

The required packages and installation guides should be separate pages for each version of rasdaman as they may differ from one version to another; this needs some wiki restructuring.

ok, so let's roll!

comment:5 Changed 22 months ago by dmisev

rasnet is optional at the moment (only works with --enable-rasnet), you should follow the rasnet guide? to install the dependencies.

comment:6 Changed 22 months ago by pbaumann

fine, but (i) grpc is mentioned in the packages list, but not explained and (ii) grpc installation is unacceptably complex.

comment:7 Changed 22 months ago by dmisev

I did some rework, have a look now: http://rasdaman.org/wiki/RequiredPackages

comment:8 Changed 22 months ago by pbaumann

better now indeed!
Can we have an "apt-get install ..." command line for copy/paste at the bottom?
Actually, best several, what about:

  • one for the mandatories
  • one for PG
  • one for petascope
  • not sure: one for the --enable-XXX optionals

comment:9 Changed 22 months ago by dmisev

I thought this is a page that list the dependencies in general terms, not tied to packages for a specific OS.

This page then gives some specific packages lists: wiki:InstallFromSource

comment:10 Changed 21 months ago by dmisev

  • Resolution set to fixed
  • Status changed from new to closed

Ok I think we can close this ticket.

Note: See TracTickets for help on using tickets.